Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(38)

Issue 6842109: code review 6842109: net/http: fix broken TestIssue4191_InfiniteGetToPutTimeout (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 7 months ago by brainman
Modified:
9 years, 7 months ago
Reviewers:
CC:
golang-dev, bradfitz, dfc
Visibility:
Public.

Description

net/http: fix broken TestIssue4191_InfiniteGetToPutTimeout Test creates 2 tcp connections for put and get. Make sure these are closed properly after test is over, otherwise server hangs waiting for connection to be closed.

Patch Set 1 #

Patch Set 2 : diff -r 1289e67dec66 https://go.googlecode.com/hg/ #

Patch Set 3 : diff -r 1289e67dec66 https://go.googlecode.com/hg/ #

Total comments: 4

Patch Set 4 : diff -r 1289e67dec66 https://go.googlecode.com/hg/ #

Total comments: 6

Patch Set 5 : diff -r 1289e67dec66 https://go.googlecode.com/hg/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -0 lines) Patch
M src/pkg/net/http/transport_test.go View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 11
brainman
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://go.googlecode.com/hg/
9 years, 7 months ago (2012-11-28 04:19:06 UTC) #1
bradfitz
https://codereview.appspot.com/6842109/diff/3002/src/pkg/net/http/transport_test.go File src/pkg/net/http/transport_test.go (right): https://codereview.appspot.com/6842109/diff/3002/src/pkg/net/http/transport_test.go#newcode988 src/pkg/net/http/transport_test.go:988: defer sres.Body.Close() I thought the problem was Issue 4434, ...
9 years, 7 months ago (2012-11-28 04:30:23 UTC) #2
brainman
Hello golang-dev@googlegroups.com, bradfitz@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
9 years, 7 months ago (2012-11-28 04:52:49 UTC) #3
brainman
https://codereview.appspot.com/6842109/diff/3002/src/pkg/net/http/transport_test.go File src/pkg/net/http/transport_test.go (right): https://codereview.appspot.com/6842109/diff/3002/src/pkg/net/http/transport_test.go#newcode988 src/pkg/net/http/transport_test.go:988: defer sres.Body.Close() On 2012/11/28 04:30:23, bradfitz wrote: > ...
9 years, 7 months ago (2012-11-28 04:52:51 UTC) #4
bradfitz
LGTM Thanks.
9 years, 7 months ago (2012-11-28 05:37:48 UTC) #5
dfc
LGTM. Passed 200 cycles. https://codereview.appspot.com/6842109/diff/3003/src/pkg/net/http/transport_test.go File src/pkg/net/http/transport_test.go (right): https://codereview.appspot.com/6842109/diff/3003/src/pkg/net/http/transport_test.go#newcode989 src/pkg/net/http/transport_test.go:989: println("run", i+1, "of", nRuns) Please ...
9 years, 7 months ago (2012-11-28 05:48:28 UTC) #6
bradfitz
https://codereview.appspot.com/6842109/diff/3003/src/pkg/net/http/transport_test.go File src/pkg/net/http/transport_test.go (right): https://codereview.appspot.com/6842109/diff/3003/src/pkg/net/http/transport_test.go#newcode989 src/pkg/net/http/transport_test.go:989: println("run", i+1, "of", nRuns) On 2012/11/28 05:48:28, dfc wrote: ...
9 years, 7 months ago (2012-11-28 05:49:53 UTC) #7
dfc
https://codereview.appspot.com/6842109/diff/3003/src/pkg/net/http/transport_test.go File src/pkg/net/http/transport_test.go (right): https://codereview.appspot.com/6842109/diff/3003/src/pkg/net/http/transport_test.go#newcode989 src/pkg/net/http/transport_test.go:989: println("run", i+1, "of", nRuns) On 2012/11/28 05:49:53, bradfitz wrote: ...
9 years, 7 months ago (2012-11-28 05:52:08 UTC) #8
brainman
So, am I submitting as is? Alex
9 years, 7 months ago (2012-11-28 05:56:30 UTC) #9
dfc
Yes please. On Wed, Nov 28, 2012 at 4:56 PM, <alex.brainman@gmail.com> wrote: > So, am ...
9 years, 7 months ago (2012-11-28 05:59:51 UTC) #10
brainman
9 years, 7 months ago (2012-11-28 06:01:00 UTC) #11
*** Submitted as http://code.google.com/p/go/source/detail?r=e76e1b1e9d4d ***

net/http: fix broken TestIssue4191_InfiniteGetToPutTimeout

Test creates 2 tcp connections for put and get. Make sure
these are closed properly after test is over, otherwise
server hangs waiting for connection to be closed.

R=golang-dev, bradfitz, dave
CC=golang-dev
http://codereview.appspot.com/6842109
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b